#
# spec file for package licq (Version 1.3.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel aspell aspell-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel cdk cdk-devel coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils dirmngr e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpg gpg2 gpgme gpgme-devel gpm grep groff gtk2 gtk2-devel gtkspell gtkspell-devel gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel libksba liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libusb libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules pango pango-devel patch pcre pcre-devel perl permissions pinentry pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel qt3-devel-tools rcs readline rpm sed sgml-skel sqlite strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel xosd xosd-devel zlib zlib-devel


Name:           licq
BuildRequires:  cdk-devel gtk2-devel gtkspell-devel kdelibs3-devel qt3-devel-tools xosd-devel
%if %suse_version > 1000
BuildRequires:  gpgme-devel
%else
BuildRequires:  openssl-devel
%endif
License:        GPL v2 or later
Group:          Productivity/Networking/ICQ
AutoReqProv:    on
Version:        1.3.4
Release:        31
Summary:        Linux ICQ Client
Source:         %{name}-%{version}.tar.bz2
Source1:        icqnd-0.1.9.6.tar.bz2
Patch1:         %{name}-config-fix.patch
Patch2:         %{name}-assert.patch
Patch3:         %{name}-%{version}-bool.patch
Patch4:         %{name}-%{version}-nostrip.patch
Patch5:         %{name}-%{version}-declaration.patch
Patch6:         %{name}-%{version}-datetime.patch
Patch7:         %{name}-%{version}-userinfodlg.patch
Patch8:         %{name}-%{version}-viewurl.patch
Patch9:         %{name}-%{version}-two_desktop_files.patch
Patch10:        %{name}-sec-sockets_issue.patch
Patch11:        %{name}-%{version}-new_oskar_protocol.patch
Patch20:        icqnd-0.1.9.6-libdir_64bit.patch
Url:            http://www.licq.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Licq includes all the basic features of ICQ, like sending and receiving
messages, chat, file transfer, contact list with pixmaps and user
status, basic and extended user information, adding and editing users
from within the GUI, user history, user groups, and new user
registration. All commands and information are available through a
simple and convenient tab dialog. Licq also has a completely
configurable user interface with Skin and Icon pack support. It is
written in C++ and comes with a GUI plug-in using the Qt widget set.
Other plug-ins are also available.



%debug_package
%package icqnd
License:        GPL v2 or later
Summary:        GTK-2 GUI plugin for Licq
Group:          Productivity/Networking/ICQ
Requires:       licq

%description icqnd
icqnd is a GTK-2 GUI for the popular ICQ program Licq. It's written in
C++ and uses GTK/GLib. It features a clean, intuitive interface, the
GTK-2 look&feel and all the licq IM backend supports (messages, chat,
file transfers, history, search, ...) You can use this plugin instead
of qt-gui if you prefer GNOME instead of KDE. After install of this
plugin you have to choose it as default in Licq options.



Authors:
--------
    Joachim Staib <staib@qnd-media.de>

%prep
%setup -a1
# move icqnd source into plugins where it belongs
mv icqnd-0.1.9.6 plugins
%patch1
%patch2 -p1
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
#patches for icqnd
%patch20

%build
%if %suse_version > 1001
export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -fstack-protector"
export CXXFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing -fstack-protector"
export CPPFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing"
%else
export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
export CXXFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing"
export CPPFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing"
%endif
# make -f Makefile.cvs
aclocal
automake
autoconf
./configure \
	--disable-static \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-libname=%{_lib}
make %{?jobs:-j%jobs}
cd plugins
  cp -a qt-gui kde-gui
cd rms
#  make -f Makefile.cvs
  aclocal
  automake
  autoconf
  ./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}/licq \
	--mandir=%{_mandir}
  make %{?jobs:-j%jobs}
cd ../icqnd-0.1.9.6
  aclocal
  automake
  autoconf
  ./configure\
	--prefix=%{_prefix} \
	--libdir=%{_libdir}/licq \
	--mandir=%{_mandir} \
        --with-licq-includes=../../include \
        --enable-gtkspell 
  make %{?jobs:-j%jobs}
###
cd ../console
#  make -f Makefile.cvs
  aclocal
  automake
  autoconf
  ./configure\
	--prefix=%{_prefix} \
	--libdir=%{_libdir}/licq \
	--mandir=%{_mandir}
  make %{?jobs:-j%jobs}
cd ../qt-gui
#  make -f Makefile.cvs
        aclocal
	automake
	perl am_edit {src/,share/,po/}Makefile.in
	autoconf
QTDIR=/usr/lib/qt3 QTLIB=/usr/lib/qt3/%_lib \
	./configure \
		--prefix=%{_prefix} \
	     	--libdir=%{_libdir}/licq \
		--mandir=%{_mandir}
  make %{?jobs:-j%jobs}
cd ../kde-gui
#  make -f Makefile.cvs
	aclocal
	automake
	perl am_edit {src/,share/,po/}Makefile.in
	autoconf
QTDIR=/usr/lib/qt3 QTLIB=/usr/lib/qt3/%_lib KDEDIR=/opt/kde3/%_lib \
	./configure \
		--with-kde \
		--prefix=%{_prefix} \
		--libdir=%{_libdir}/licq \
		--mandir=%{_mandir}
  make %{?jobs:-j%jobs}
cd ../email
#  make -f Makefile.cvs
  aclocal -I /opt/gnome/share/aclocal
  automake
  autoconf
  ./configure\
        --prefix=%{_prefix} \
        --libdir=%{_libdir}/licq \
        --mandir=%{_mandir}
  make %{?jobs:-j%jobs}
cd ../auto-reply
#  make -f Makefile.cvs
  aclocal
  automake
  autoconf
  ./configure\
        --prefix=%{_prefix} \
        --libdir=%{_libdir}/licq \
        --mandir=%{_mandir}
  make %{?jobs:-j%jobs}
cd ../osd
#  make -f Makefile.cvs
  gettextize -f
  aclocal
  automake
  autoconf
  ./configure\
        --prefix=%{_prefix} \
        --libdir=%{_libdir} \
        --mandir=%{_mandir}
  make %{?jobs:-j%jobs}
cd ../msn
#  make -f Makefile.cvs
  aclocal
  automake
  autoconf
  ./configure\
        --prefix=%{_prefix} \
        --libdir=%{_libdir}/licq \
        --mandir=%{_mandir}
  make %{?jobs:-j%jobs}

%install 
 make  DESTDIR=$RPM_BUILD_ROOT install
 cd plugins/rms
 make  DESTDIR=$RPM_BUILD_ROOT install
 cd ../icqnd-0.1.9.6
 make  DESTDIR=$RPM_BUILD_ROOT install
 cd ../console
 make  DESTDIR=$RPM_BUILD_ROOT install
 cd ../qt-gui
 make  DESTDIR=$RPM_BUILD_ROOT install
 cd ../kde-gui
 make  DESTDIR=$RPM_BUILD_ROOT install
 cd ../email
 make  DESTDIR=$RPM_BUILD_ROOT install
 cd ../auto-reply
 make  DESTDIR=$RPM_BUILD_ROOT install
 cd ../msn
 make  DESTDIR=$RPM_BUILD_ROOT install
 cd ../osd
 make  DESTDIR=$RPM_BUILD_ROOT install
 cd ../..
# docs
mkdir -p  $RPM_BUILD_ROOT%{_prefix}/share/doc/packages/licq
#rm -rf doc/CVS
install -m 644 doc/*  $RPM_BUILD_ROOT%{_prefix}/share/doc/packages/licq
chmod 755 `find $RPM_BUILD_ROOT%{_prefix}/share/licq -type d`
%if %suse_version < 1010
%suse_update_desktop_file -i licq Network InstantMessaging
%else
%suse_update_desktop_file -i -G "ICQ Client" licq Network InstantMessaging
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc %{_prefix}/share/doc/packages/licq/
%{_prefix}/bin/licq
%{_prefix}/bin/viewurl-lynx.sh
%{_prefix}/bin/viewurl-ncftp.sh
%{_prefix}/bin/viewurl-netscape.sh
%{_prefix}/bin/viewurl-w3m.sh
%{_prefix}/bin/viewurl-mozilla.sh
%{_prefix}/bin/viewurl-opera.sh
%{_prefix}/bin/viewurl-firefox.sh
%{_prefix}/bin/viewurl-seamonkey.sh
%{_libdir}/licq/
%{_prefix}/share/licq/
%{_prefix}/share/locale/*/LC_MESSAGES/*.mo
%{_prefix}/include/licq/
/usr/share/applications/licq.desktop
/usr/share/pixmaps/licq.png
%exclude %{_libdir}/licq/*.*a
%exclude %{_libdir}/licq/licq_icqnd.so
%exclude /usr/share/licq/icqnd

%files icqnd
%defattr(-,root,root,755)
%{_libdir}/licq/licq_icqnd.so
/usr/share/licq/icqnd

%changelog
* Fri Jul 04 2008 - lmichnovic@suse.cz
- fix for correct login on AOL servers (*new_oskar_protocol.patch)
  [bnc#405633]
* Tue Apr 22 2008 - lmichnovic@suse.cz
- Added missing check for max opened sockets which could be misused
  by remote attacker [#378217] (licq-sec-sockets_issue.patch)
* Mon Oct 16 2006 - lmichnovic@suse.cz
- update to final
  * some minor fixes
  * unnecessary messages are suppressed [#211312]
* Mon Oct 09 2006 - lmichnovic@suse.cz
- update to RC3
  * fix of pid file; obsoletes *pidfile.patch
  * some other bugfixes
- osd plugin needs gettextize before running autotools
* Mon Oct 02 2006 - lmichnovic@suse.cz
- update to licq-1.3.4 RC2
  * osd plugin again
  - obsoletes invisible_to_others.patch, fakeoffline_error.patch
- unreadable pid file fix (licq-pidfile.patch)
* Mon Sep 25 2006 - lmichnovic@suse.cz
- Update icqnd to version 0.1.9.6
  * This release fixes mainly bugs and adds some small features e.g.
  gtk-spell-checker (enabled).
  - obsoletes icqnd*cast_on_64bit.patch
  - icqnd-libdir_64bit.patch corrects libdir on 64bit archs
- Update Licq from svn
  Should fix some problems with autoaway mechanism.
* Wed Aug 30 2006 - lmichnovic@suse.cz
- update from svn
  - should fix some problems when switching tabs with mouse wheel
* Thu Aug 10 2006 - lmichnovic@suse.cz
- update from svn
  should fix auto away even when offline
- fix offline status to others issue (invisible_to_others.patch)
* Mon Aug 07 2006 - lmichnovic@suse.cz
- update from svn
- fixes qpl only licence in two files [#192081]
- emoticons.cpp is rewritten hence removed emtoticons.patch
- suppressing fake_offline error messages (fakeoffline_error.patch)
* Wed Jul 12 2006 - lmichnovic@suse.cz
- filled in description and Author for icqnd subpackage
* Tue Jul 11 2006 - lmichnovic@suse.cz
- incorect lib dir and wrong pointer type punning on 64bit archs regarding
  only icqnd plugin fixed in icqnd-0.1.9.5-cast_on_64bit.patch
* Tue Jul 11 2006 - lmichnovic@suse.cz
- update to svn version to date 20060711
 - fixes uninitialized variable [#190016]
 - URL can contain '#' fix
- adjusted patches: config-fix and emoticons due to changes in
  Makefile for qt, msn and console plugins
- due to change of creating desktop file in Makefile also for KDE
  into kde dir, patch two_desktop_files fixes this duplication
- added icqnd gtk2 plugin version 0.1.9.5 and building as subpackage
  this plugin needs gtk2-devel in BuildRequires
* Tue Jun 06 2006 - lmichnovic@suse.cz
- upgrade to uptodate svn version,
  obsoletes unicode.patch and user_picture.patch
- updated regexp for URL in emoticons.patch because URL can
  contain '#'
- removed xosd-devel and gtk-devel from BuildRequires
  (xosd plugin is not maintened any more)
* Tue May 30 2006 - adrian@suse.de
- fix build for < 10.1
* Thu May 25 2006 - lmichnovic@suse.cz
- update to version 20060522 from svn with new features:
  - switching trough tabs with mousewheel
  - "copy URL" added when rightcicking on URL
  - some bugfixes
- Obsolete patches removed: qualification, mistyped, ssl_fix,
  homedirslash, msn_overflow
- new patches:
  - emoticons - enhances emoticons and prevent displaying them in URL
  - user_picture - fix displaying black square, when no picture aviable
  - unicode - fixes error when updating user info which has non utf encoding
- file licq_constants.h has changed hence config-fix.patch had to be updated
* Wed Apr 12 2006 - lmichnovic@suse.cz
- fixed buffer overflow in msn plugin (msn_overflow.patch)
* Mon Apr 03 2006 - lmichnovic@suse.cz
- fixed building for PLUS
* Mon Mar 27 2006 - lmichnovic@suse.cz
- added upstream patch (homedirslash.patch)
- changed opening URLs with firefox, since netscape and mozilla are obsolete
* Tue Mar 14 2006 - lmichnovic@suse.cz
- removed forgotten -O0 flag
* Tue Mar 14 2006 - lmichnovic@suse.cz
- fixed crash when network is unavailable [#148224],
  resolving-fix.patch had to be removed
* Sat Feb 18 2006 - stbinner@suse.de
- fix GenericName in .desktop file
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 - kukuk@suse.de
- add gpgme-devel to nfb
* Thu Jan 12 2006 - lmichnovic@suse.cz
- added -fstack-protector into C[XX]FLAGS
* Wed Dec 07 2005 - lmichnovic@suse.cz
- added some changes in previous patch (ssl_fix)
* Fri Dec 02 2005 - lmichnovic@suse.cz
- added patch from upstream, which solves inoperable ssl connection.
* Fri Nov 25 2005 - lmichnovic@suse.cz
- added patch datetime (enhances time display format to yyyy-MM-dd hh:mm:ss)
  added patch userinfodlg (fixes non updating KDE addressbook integration tab)
- added -fno-strict-aliasing into CPPFLAGS, CXXFLAGS
* Tue Oct 25 2005 - lmichnovic@suse.cz
- upgrade to version 1.3.2 (registration of new users works again)
- fixed autobuild with new gcc 4.1:
  fixed extra class qualiffication
  fixed unproper order in definition of function
* Wed Oct 05 2005 - lmichnovic@suse.cz
- fixed another uninitialized variable and no return value from function
* Mon Oct 03 2005 - lmichnovic@suse.cz
- fixed compiling of kde plugin on x86_64 arch (#119541); libacl, libattr + devel added into needforbuild
- fixed uninitialized variable
- excluded useless *.la libraries
* Thu Sep 15 2005 - lmichnovic@suse.cz
- added libgpg-error into needforbuild
  (fixes also licq failed to build in distribution 9.2-i386+kde)
* Mon Sep 05 2005 - nadvornik@suse.cz
- fixed adding new users [104556]
* Fri Aug 05 2005 - dmueller@suse.de
- remove qt3-non-mt from nfb
* Sun May 29 2005 - schwab@suse.de
- Fix missing declaration.
* Tue Mar 08 2005 - ro@suse.de
- fix build (return 0 if gethostbyname_r worked ok)
* Mon Mar 07 2005 - postadal@suse.cz
- fixed ip address resolving [#66739]
* Wed Jan 19 2005 - postadal@suse.cz
- fixed lib64 path for autoreplay, osd and msn plugins
* Fri Jan 14 2005 - ro@suse.de
- fix sv po installation
* Wed Jan 12 2005 - postadal@suse.cz
- updated to version 1.3.0
- added new plugins
- fix gpgme support (used patch made by rschiele@uni-mannheim.de)
- use parallel make
* Fri Nov 19 2004 - ro@suse.de
- include icon in filelist
* Fri Feb 13 2004 - postadal@suse.cz
- added kde-gui plugin [#34127]
* Tue Jan 27 2004 - ro@suse.de
- fix build: workaround various "define bool" clashes
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file
* Tue Jul 29 2003 - postadal@suse.cz
- fixed lib64 path for forward plugin
* Fri Jul 25 2003 - postadal@suse.cz
- updated to version 1.2.7
  * new plugin forwarder, removed plugin jons-gtk-gui
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Feb 25 2003 - aj@suse.de
- Add missing assert include.
* Mon Feb 24 2003 - postadal@suse.cz
- added support for ssl crypted communication between licq clients [#24191]
* Wed Jan 29 2003 - postadal@suse.cz
- updated to version 1.2.4
  * Batch File Transfers
  * improved threading control
  * several potential crashes have been fixed
  * accepting batch file transfers from Miranda o Dante SOCKS5 works
  now
  * closing dialog windows have been fixed
* Thu Jan 16 2003 - postadal@suse.cz
- updated to version 1.2.3
  * completed v8 client side protocol support
  * improved server side contact lists
  * defaults to using v8 for client and server side contact list
  * improved change password dialog
  * extended icons are now skinnable as well in Qt-GUI
  * many bugs fixed
- removed obsoleted gcc3.1 patch
- added config-fix patch to install the plugins on 64bit archs to the right place
- calling am_edit in qt-gui to build .mov files
* Thu Nov 14 2002 - ro@suse.de
- while the qt frontend is built without kde support,
  we can as well use qt3
* Wed Jul 31 2002 - postadal@suse.cz
- update to version 1.2.0a
  * Lots and lots of bug fixes
  * Memory management fixes
  * Per user encoding in QT plugin
  * Initial server side list support
  * Sending SMS
  * Improved buffer overflow prevention
  * ICQ CLB file converter
* Thu May 30 2002 - postadal@suse.cz
- fixed qt path
* Wed Apr 17 2002 - postadal@suse.cz
- fixes for gcc 3.1
* Wed Jan 23 2002 - ro@suse.de
- use kde2-devel-packages
* Thu Jan 10 2002 - rvasice@suse.cz
- use macros %%{_libdir} and %%{_prefix}
- prevent misconfiguration by removing --with-kde configure option
* Wed Dec 12 2001 - rvasice@suse.cz
- update to version 1.0.4
* Fri Nov 09 2001 - ro@suse.de
- use qt-devel-packages in neededforbuild
* Wed Oct 17 2001 - dan@suse.cz
- hide old dialog instead of closing it (#9792)
* Wed Aug 08 2001 - ro@suse.de
- updated neededforbuild again
* Fri Jun 29 2001 - ro@suse.de
- updated neededforbuild
- removed ILLEGAL links
* Thu Jun 07 2001 - pblaha@suse.cz
- add more into #needforbuild build for compile qt-qui plugin
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Mar 19 2001 - pblaha@suse.cz
- fix my error with one %%define version macro
* Thu Mar 15 2001 - pblaha@suse.cz
- add build root
* Wed Mar 07 2001 - pblaha@suse.cz
- update on 1.0.3
* Thu Feb 22 2001 - pblaha@suse.cz
- use patch for fix small ugly security problem with URL viewer
* Mon Feb 12 2001 - pblaha@suse.cz
- added URL
* Thu Feb 08 2001 - sndirsch@suse.de
- added security fix (remotely exploitable flaw)
* Tue Jan 02 2001 - sndirsch@suse.de
- update to release 1.0.2 (now also works with KDE2)
* Tue Dec 19 2000 - sndirsch@suse.de
- "chmod 755" for all licq directories
* Thu Nov 23 2000 - sndirsch@suse.de
- #neededforbuild += openssl-devel
* Wed Nov 08 2000 - sndirsch@suse.de
- updated to release 1.0
* Sun Nov 05 2000 - kukuk@suse.de
- adjust neededfobuild
* Thu Jul 27 2000 - sndirsch@suse.de
- created package
